# -*- coding: utf-8 -*-
import csv

# Open the CSV file
with open('output.csv', 'r') as file:
    # Create a CSV reader object
    reader = csv.reader(file)

    # create an empty set to store the maximum number of each row
    max_numbers = set()
    
    # Read and process each row
    for row in reader:
        # Convert each str element of the row list to an integer and create a new row set
        row_set = {int(element) for element in row}
        # Take the maximum number from the row set and add it to the max_numbers set
        row_max = max(row_set)
        max_numbers.add(row_max)
    
    # Get the maximum number from the rows
    max_number = max(max_numbers)
    
    print("The maximum number is: ", max_number)
